<?php
$tdataj_case_05 = array();
$tdataj_case_05[".searchableFields"] = array();
$tdataj_case_05[".ShortName"] = "j_case_05";
$tdataj_case_05[".OwnerID"] = "";
$tdataj_case_05[".OriginalTable"] = "j_case_05";


$tdataj_case_05[".pagesByType"] = my_json_decode( "{\"export\":[\"export\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" );
$tdataj_case_05[".originalPagesByType"] = $tdataj_case_05[".pagesByType"];
$tdataj_case_05[".pages"] = types2pages( my_json_decode( "{\"export\":[\"export\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" ) );
$tdataj_case_05[".originalPages"] = $tdataj_case_05[".pages"];
$tdataj_case_05[".defaultPages"] = my_json_decode( "{\"export\":\"export\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\"}" );
$tdataj_case_05[".originalDefaultPages"] = $tdataj_case_05[".defaultPages"];

//	field labels
$fieldLabelsj_case_05 = array();
$fieldToolTipsj_case_05 = array();
$pageTitlesj_case_05 = array();
$placeHoldersj_case_05 = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsj_case_05["English"] = array();
	$fieldToolTipsj_case_05["English"] = array();
	$placeHoldersj_case_05["English"] = array();
	$pageTitlesj_case_05["English"] = array();
	$fieldLabelsj_case_05["English"]["numPers"] = "Num Pers";
	$fieldToolTipsj_case_05["English"]["numPers"] = "";
	$placeHoldersj_case_05["English"]["numPers"] = "";
	$fieldLabelsj_case_05["English"]["vote"] = "إقترع";
	$fieldToolTipsj_case_05["English"]["vote"] = "";
	$placeHoldersj_case_05["English"]["vote"] = "";
	$fieldLabelsj_case_05["English"]["firstName"] = "الإسم";
	$fieldToolTipsj_case_05["English"]["firstName"] = "";
	$placeHoldersj_case_05["English"]["firstName"] = "";
	$fieldLabelsj_case_05["English"]["fatherName"] = "إسم الأب";
	$fieldToolTipsj_case_05["English"]["fatherName"] = "";
	$placeHoldersj_case_05["English"]["fatherName"] = "";
	$fieldLabelsj_case_05["English"]["lastName"] = "الشهرة";
	$fieldToolTipsj_case_05["English"]["lastName"] = "";
	$placeHoldersj_case_05["English"]["lastName"] = "";
	$fieldLabelsj_case_05["English"]["motherName"] = "إسم الأم";
	$fieldToolTipsj_case_05["English"]["motherName"] = "";
	$placeHoldersj_case_05["English"]["motherName"] = "";
	$fieldLabelsj_case_05["English"]["numRegister"] = "رقم  السجل";
	$fieldToolTipsj_case_05["English"]["numRegister"] = "";
	$placeHoldersj_case_05["English"]["numRegister"] = "";
	$fieldLabelsj_case_05["English"]["sortNbr"] = "متسلسل";
	$fieldToolTipsj_case_05["English"]["sortNbr"] = "";
	$placeHoldersj_case_05["English"]["sortNbr"] = "";
	$fieldLabelsj_case_05["English"]["repairList"] = "تصحيح اللائحة";
	$fieldToolTipsj_case_05["English"]["repairList"] = "";
	$placeHoldersj_case_05["English"]["repairList"] = "";
	$pageTitlesj_case_05["English"]["list"] = "الجديدة 5";
	$pageTitlesj_case_05["English"]["print"] = "الجديدة 5";
	$pageTitlesj_case_05["English"]["search"] = "الجديدة 5 - Advanced search";
	if (count($fieldToolTipsj_case_05["English"]))
		$tdataj_case_05[".isUseToolTips"] = true;
}
if(mlang_getcurrentlang()=="Arabic")
{
	$fieldLabelsj_case_05["Arabic"] = array();
	$fieldToolTipsj_case_05["Arabic"] = array();
	$placeHoldersj_case_05["Arabic"] = array();
	$pageTitlesj_case_05["Arabic"] = array();
	$fieldLabelsj_case_05["Arabic"]["numPers"] = "Num Pers";
	$fieldToolTipsj_case_05["Arabic"]["numPers"] = "";
	$placeHoldersj_case_05["Arabic"]["numPers"] = "";
	$fieldLabelsj_case_05["Arabic"]["vote"] = "إقترع";
	$fieldToolTipsj_case_05["Arabic"]["vote"] = "";
	$placeHoldersj_case_05["Arabic"]["vote"] = "";
	$fieldLabelsj_case_05["Arabic"]["firstName"] = "الإسم";
	$fieldToolTipsj_case_05["Arabic"]["firstName"] = "";
	$placeHoldersj_case_05["Arabic"]["firstName"] = "";
	$fieldLabelsj_case_05["Arabic"]["fatherName"] = "إسم الأب";
	$fieldToolTipsj_case_05["Arabic"]["fatherName"] = "";
	$placeHoldersj_case_05["Arabic"]["fatherName"] = "";
	$fieldLabelsj_case_05["Arabic"]["lastName"] = "الشهرة";
	$fieldToolTipsj_case_05["Arabic"]["lastName"] = "";
	$placeHoldersj_case_05["Arabic"]["lastName"] = "";
	$fieldLabelsj_case_05["Arabic"]["motherName"] = "إسم الأم";
	$fieldToolTipsj_case_05["Arabic"]["motherName"] = "";
	$placeHoldersj_case_05["Arabic"]["motherName"] = "";
	$fieldLabelsj_case_05["Arabic"]["numRegister"] = "رقم السجل";
	$fieldToolTipsj_case_05["Arabic"]["numRegister"] = "";
	$placeHoldersj_case_05["Arabic"]["numRegister"] = "";
	$fieldLabelsj_case_05["Arabic"]["sortNbr"] = "متسلسل";
	$fieldToolTipsj_case_05["Arabic"]["sortNbr"] = "";
	$placeHoldersj_case_05["Arabic"]["sortNbr"] = "";
	$fieldLabelsj_case_05["Arabic"]["repairList"] = "تصحيح اللائحة";
	$fieldToolTipsj_case_05["Arabic"]["repairList"] = "";
	$placeHoldersj_case_05["Arabic"]["repairList"] = "";
	$pageTitlesj_case_05["Arabic"]["list"] = "الجديدة 5";
	$pageTitlesj_case_05["Arabic"]["print"] = "الجديدة 5";
	$pageTitlesj_case_05["Arabic"]["search"] = "الجديدة 5 - بحث متقدم";
	if (count($fieldToolTipsj_case_05["Arabic"]))
		$tdataj_case_05[".isUseToolTips"] = true;
}


	$tdataj_case_05[".NCSearch"] = true;



$tdataj_case_05[".shortTableName"] = "j_case_05";
$tdataj_case_05[".nSecOptions"] = 0;

$tdataj_case_05[".mainTableOwnerID"] = "";
$tdataj_case_05[".entityType"] = 0;
$tdataj_case_05[".connId"] = "electiondb_at_ssl_localhost";


$tdataj_case_05[".strOriginalTableName"] = "j_case_05";

	



$tdataj_case_05[".showAddInPopup"] = false;

$tdataj_case_05[".showEditInPopup"] = false;

$tdataj_case_05[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdataj_case_05[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdataj_case_05[".listAjax"] = false;
//	temporary
$tdataj_case_05[".listAjax"] = false;

	$tdataj_case_05[".audit"] = false;

	$tdataj_case_05[".locking"] = false;


$pages = $tdataj_case_05[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataj_case_05[".edit"] = true;
	$tdataj_case_05[".afterEditAction"] = 1;
	$tdataj_case_05[".closePopupAfterEdit"] = 1;
	$tdataj_case_05[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataj_case_05[".add"] = true;
$tdataj_case_05[".afterAddAction"] = 1;
$tdataj_case_05[".closePopupAfterAdd"] = 1;
$tdataj_case_05[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataj_case_05[".list"] = true;
}



$tdataj_case_05[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataj_case_05[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataj_case_05[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataj_case_05[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataj_case_05[".printFriendly"] = true;
}



$tdataj_case_05[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataj_case_05[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataj_case_05[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataj_case_05[".isUseAjaxSuggest"] = true;

$tdataj_case_05[".rowHighlite"] = true;





$tdataj_case_05[".ajaxCodeSnippetAdded"] = false;

$tdataj_case_05[".buttonsAdded"] = false;

$tdataj_case_05[".addPageEvents"] = false;

// use timepicker for search panel
$tdataj_case_05[".isUseTimeForSearch"] = false;


$tdataj_case_05[".badgeColor"] = "D2691E";


$tdataj_case_05[".allSearchFields"] = array();
$tdataj_case_05[".filterFields"] = array();
$tdataj_case_05[".requiredSearchFields"] = array();

$tdataj_case_05[".googleLikeFields"] = array();
$tdataj_case_05[".googleLikeFields"][] = "sortNbr";
$tdataj_case_05[".googleLikeFields"][] = "numPers";
$tdataj_case_05[".googleLikeFields"][] = "vote";
$tdataj_case_05[".googleLikeFields"][] = "firstName";
$tdataj_case_05[".googleLikeFields"][] = "fatherName";
$tdataj_case_05[".googleLikeFields"][] = "lastName";
$tdataj_case_05[".googleLikeFields"][] = "motherName";
$tdataj_case_05[".googleLikeFields"][] = "numRegister";
$tdataj_case_05[".googleLikeFields"][] = "repairList";



$tdataj_case_05[".tableType"] = "list";

$tdataj_case_05[".printerPageOrientation"] = 0;
$tdataj_case_05[".nPrinterPageScale"] = 100;

$tdataj_case_05[".nPrinterSplitRecords"] = 40;

$tdataj_case_05[".geocodingEnabled"] = false;










$tdataj_case_05[".pageSize"] = 20;

$tdataj_case_05[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataj_case_05[".strOrderBy"] = $tstrOrderBy;

$tdataj_case_05[".orderindexes"] = array();


$tdataj_case_05[".sqlHead"] = "SELECT sortNbr,  	numPers,  	vote,  	firstName,  	fatherName,  	lastName,  	motherName,  	numRegister,  	repairList";
$tdataj_case_05[".sqlFrom"] = "FROM j_case_05";
$tdataj_case_05[".sqlWhereExpr"] = "";
$tdataj_case_05[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataj_case_05[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataj_case_05[".arrGroupsPerPage"] = $arrGPP;

$tdataj_case_05[".highlightSearchResults"] = true;

$tableKeysj_case_05 = array();
$tableKeysj_case_05[] = "numPers";
$tdataj_case_05[".Keys"] = $tableKeysj_case_05;


$tdataj_case_05[".hideMobileList"] = array();




//	sortNbr
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "sortNbr";
	$fdata["GoodName"] = "sortNbr";
	$fdata["ownerTable"] = "j_case_05";
	$fdata["Label"] = GetFieldLabel("j_case_05","sortNbr");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "sortNbr";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "sortNbr";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataj_case_05["sortNbr"] = $fdata;
		$tdataj_case_05[".searchableFields"][] = "sortNbr";
//	numPers
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "numPers";
	$fdata["GoodName"] = "numPers";
	$fdata["ownerTable"] = "j_case_05";
	$fdata["Label"] = GetFieldLabel("j_case_05","numPers");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "numPers";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "numPers";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataj_case_05["numPers"] = $fdata;
		$tdataj_case_05[".searchableFields"][] = "numPers";
//	vote
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "vote";
	$fdata["GoodName"] = "vote";
	$fdata["ownerTable"] = "j_case_05";
	$fdata["Label"] = GetFieldLabel("j_case_05","vote");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "vote";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "vote";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
		$edata["LookupType"] = 0;
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
	
		$edata["LookupValues"] = array();
	$edata["LookupValues"][] = "YES";
	$edata["LookupValues"][] = "NO";

	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataj_case_05["vote"] = $fdata;
		$tdataj_case_05[".searchableFields"][] = "vote";
//	firstName
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "firstName";
	$fdata["GoodName"] = "firstName";
	$fdata["ownerTable"] = "j_case_05";
	$fdata["Label"] = GetFieldLabel("j_case_05","firstName");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "firstName";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "firstName";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataj_case_05["firstName"] = $fdata;
		$tdataj_case_05[".searchableFields"][] = "firstName";
//	fatherName
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "fatherName";
	$fdata["GoodName"] = "fatherName";
	$fdata["ownerTable"] = "j_case_05";
	$fdata["Label"] = GetFieldLabel("j_case_05","fatherName");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "fatherName";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "fatherName";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataj_case_05["fatherName"] = $fdata;
		$tdataj_case_05[".searchableFields"][] = "fatherName";
//	lastName
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "lastName";
	$fdata["GoodName"] = "lastName";
	$fdata["ownerTable"] = "j_case_05";
	$fdata["Label"] = GetFieldLabel("j_case_05","lastName");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "lastName";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "lastName";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataj_case_05["lastName"] = $fdata;
		$tdataj_case_05[".searchableFields"][] = "lastName";
//	motherName
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "motherName";
	$fdata["GoodName"] = "motherName";
	$fdata["ownerTable"] = "j_case_05";
	$fdata["Label"] = GetFieldLabel("j_case_05","motherName");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "motherName";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "motherName";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataj_case_05["motherName"] = $fdata;
		$tdataj_case_05[".searchableFields"][] = "motherName";
//	numRegister
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "numRegister";
	$fdata["GoodName"] = "numRegister";
	$fdata["ownerTable"] = "j_case_05";
	$fdata["Label"] = GetFieldLabel("j_case_05","numRegister");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "numRegister";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "numRegister";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataj_case_05["numRegister"] = $fdata;
		$tdataj_case_05[".searchableFields"][] = "numRegister";
//	repairList
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "repairList";
	$fdata["GoodName"] = "repairList";
	$fdata["ownerTable"] = "j_case_05";
	$fdata["Label"] = GetFieldLabel("j_case_05","repairList");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "repairList";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "repairList";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=30";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataj_case_05["repairList"] = $fdata;
		$tdataj_case_05[".searchableFields"][] = "repairList";


$tables_data["j_case_05"]=&$tdataj_case_05;
$field_labels["j_case_05"] = &$fieldLabelsj_case_05;
$fieldToolTips["j_case_05"] = &$fieldToolTipsj_case_05;
$placeHolders["j_case_05"] = &$placeHoldersj_case_05;
$page_titles["j_case_05"] = &$pageTitlesj_case_05;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["j_case_05"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["j_case_05"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_j_case_05()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "sortNbr,  	numPers,  	vote,  	firstName,  	fatherName,  	lastName,  	motherName,  	numRegister,  	repairList";
$proto0["m_strFrom"] = "FROM j_case_05";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "sortNbr",
	"m_strTable" => "j_case_05",
	"m_srcTableName" => "j_case_05"
));

$proto6["m_sql"] = "sortNbr";
$proto6["m_srcTableName"] = "j_case_05";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "numPers",
	"m_strTable" => "j_case_05",
	"m_srcTableName" => "j_case_05"
));

$proto8["m_sql"] = "numPers";
$proto8["m_srcTableName"] = "j_case_05";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "vote",
	"m_strTable" => "j_case_05",
	"m_srcTableName" => "j_case_05"
));

$proto10["m_sql"] = "vote";
$proto10["m_srcTableName"] = "j_case_05";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "firstName",
	"m_strTable" => "j_case_05",
	"m_srcTableName" => "j_case_05"
));

$proto12["m_sql"] = "firstName";
$proto12["m_srcTableName"] = "j_case_05";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "fatherName",
	"m_strTable" => "j_case_05",
	"m_srcTableName" => "j_case_05"
));

$proto14["m_sql"] = "fatherName";
$proto14["m_srcTableName"] = "j_case_05";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "lastName",
	"m_strTable" => "j_case_05",
	"m_srcTableName" => "j_case_05"
));

$proto16["m_sql"] = "lastName";
$proto16["m_srcTableName"] = "j_case_05";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "motherName",
	"m_strTable" => "j_case_05",
	"m_srcTableName" => "j_case_05"
));

$proto18["m_sql"] = "motherName";
$proto18["m_srcTableName"] = "j_case_05";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "numRegister",
	"m_strTable" => "j_case_05",
	"m_srcTableName" => "j_case_05"
));

$proto20["m_sql"] = "numRegister";
$proto20["m_srcTableName"] = "j_case_05";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "repairList",
	"m_strTable" => "j_case_05",
	"m_srcTableName" => "j_case_05"
));

$proto22["m_sql"] = "repairList";
$proto22["m_srcTableName"] = "j_case_05";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto24=array();
$proto24["m_link"] = "SQLL_MAIN";
			$proto25=array();
$proto25["m_strName"] = "j_case_05";
$proto25["m_srcTableName"] = "j_case_05";
$proto25["m_columns"] = array();
$proto25["m_columns"][] = "sortNbr";
$proto25["m_columns"][] = "numPers";
$proto25["m_columns"][] = "vote";
$proto25["m_columns"][] = "firstName";
$proto25["m_columns"][] = "fatherName";
$proto25["m_columns"][] = "lastName";
$proto25["m_columns"][] = "motherName";
$proto25["m_columns"][] = "numRegister";
$proto25["m_columns"][] = "repairList";
$obj = new SQLTable($proto25);

$proto24["m_table"] = $obj;
$proto24["m_sql"] = "j_case_05";
$proto24["m_alias"] = "";
$proto24["m_srcTableName"] = "j_case_05";
$proto26=array();
$proto26["m_sql"] = "";
$proto26["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto26["m_column"]=$obj;
$proto26["m_contained"] = array();
$proto26["m_strCase"] = "";
$proto26["m_havingmode"] = false;
$proto26["m_inBrackets"] = false;
$proto26["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto26);

$proto24["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto24);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="j_case_05";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_j_case_05 = createSqlQuery_j_case_05();


	
		;

									

$tdataj_case_05[".sqlquery"] = $queryData_j_case_05;



$tableEvents["j_case_05"] = new eventsBase;
$tdataj_case_05[".hasEvents"] = false;

?>